/** @file */
/* ----------------------------------------------------------------------------

Copyright (C) Siemens AG 1994-2004 * ALL RIGHTS RESERVED

  This software is protected by the inclusion of the above copyright
  notice. This software may not be provided or otherwise made available
  to, or used by, any other person. No title to or ownership of the
  software is  hereby  transferred.
  The information contained in this document is considered the
  CONFIDENTIAL and PROPRIETARY information of Siemens AG and may
  not be disclosed or discussed with anyone who is not employed by
  Siemens AG, unless the individual / company
  (i) has an express need to know such information, and
  (ii) disclosure of information is subject to the terms of a duly
  executed Confidentiality and Non-Disclosure Agreement between
  Siemens AG and the individual / company.

Created using template RCSfile: templ_c.c,v, Revision: 1.9, genxfile V1.12

.AUTHOR Christoph Scharenberg (extern, KLF-5939)

.FILENAME simjappstartupassistant.c

.CSVERSION 1.1

.VERSION 01.00.00

.DATE 2003-11-04

.SHORT_DESCR Dialog implementation used to start Java Start-Up-Assistant application

.SW_COMPONENT C_mobsim

.SW_TYPE 

.EXIT_CODES

.CHANGE_CONTROL 
Version  Date        Changed by
         Reason of change
--------------------------------------------------------------------------------
01.00.00 2003-11-04 Christoph Scharenberg (extern, KLF-5939) (MCH)
         Initial Version

**************************************Jerry*********************************
02.00.00  2006-03-17  Gurpreet Sabharwal(SISL ,India)
                      Removed Java Support And Functionality



------------------------------------------------------------------------------*/


#include <global.h>

#include <afxwin.h>
#include <afxext.h>
#include <afxdlgs.h>
#include <AFXCMN.H>
#include "winrc.h" 
#include "winkrc.h"
#include "sms_res.h"

#include "simjappstartupassistant.h"


//#include "java_applications.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// SimJAppStartUpAssistant dialog



SimJAppStartUpAssistant::SimJAppStartUpAssistant(CWnd* pParent /*=NULL*/)
	: CDialog(SimJAppStartUpAssistant::IDD, pParent),
      m_checkShowText( BST_UNCHECKED ),
      m_checkSetDateTime( BST_UNCHECKED ),
      m_checkSetZoneCity( BST_UNCHECKED )

{ ; }

void SimJAppStartUpAssistant::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);

    DDX_Check( pDX, IDC_JAPP_STARTUPASS_SHOWTEXT,    m_checkShowText    );
    DDX_Check( pDX, IDC_JAPP_STARTUPASS_SETDATETIME, m_checkSetDateTime );
    DDX_Check( pDX, IDC_JAPP_STARTUPASS_SETZONECITY, m_checkSetZoneCity );
}

BEGIN_MESSAGE_MAP(SimJAppStartUpAssistant, CDialog)
	//ON_WM_PAINT()
	//ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// SimJAppStartUpAssistant message handlers

BOOL SimJAppStartUpAssistant::OnInitDialog()
{
	CDialog::OnInitDialog();

    UpdateData( FALSE );
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}


void SimJAppStartUpAssistant::OnOK()
{
    UpdateData( TRUE );
    CDialog::OnOK();
}

int SimJAppStartUpAssistant::GetFlagVector( void ) const
{
    int Flags = 0;
 //   if ( m_checkShowText    == BST_CHECKED ) Flags |= STARTUP_ASSISTANT_SHOW_TEXT;
 //   if ( m_checkSetDateTime == BST_CHECKED ) Flags |= STARTUP_ASSISTANT_SETUP_DATE_TIME;
//    if ( m_checkSetZoneCity == BST_CHECKED ) Flags |= STARTUP_ASSISTANT_SETUP_TIMEZONE;

 //   if ( Flags == 0 ) Flags = STARTUP_ASSISTANT_DEFAULT_FLAGS; // ident operation

    return Flags;
}
